List of all members
clan::ProviderType_Register< ProviderClass > Class Template Reference
clanDisplay Image Providers

Class template to register a provider type. More...

`#include <provider_type_register.h>`

Inheritance diagram for clan::ProviderType_Register< ProviderClass >:

## Public Member Functions
Construction
| ProviderType_Register (const std::string &type)
| Registers provider type in the ProviderFactory. More...
Operations
virtual PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb) override
| Called to load an image with this provider type. More...
virtual PixelBuffer | load (IODevice &file, bool srgb) override
virtual void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs) override
| Called to save a given PixelBuffer to a file. More...
virtual void | save (PixelBuffer buffer, IODevice &file) override
Public Member Functions inherited from clan::ImageProviderType
| ImageProviderType (const std::string &type)
| Registers a provider type in the ImageProviderFactory. More...
virtual | ~ImageProviderType ()
| Unregisters a provider type in the ImageProviderFactory. More...

## Detailed Description

### template<class ProviderClass>
class clan::ProviderType_Register< ProviderClass >

Class template to register a provider type.

The documentation for this class was generated from the following file:

- provider_type_register.h